Package wx :: Class MoveEvent

[frames | no frames]

## Type MoveEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    MoveEvent

This event object is sent for EVT_MOVE event bindings when a window is moved to a new position.

Method Summary
MoveEvent | ``__init__`(self, pos, winid)` Constructor.
Point | ``GetPosition`(self)` Returns the position of the window generating the move change event.
Rect | `GetRect(self)`
| `SetPosition(self, pos)`
| `SetRect(self, rect)`

Property Summary
| `m_pos`
| `m_rect`
| `Position`: See `GetPosition` and `SetPosition`
| `Rect`: See `GetRect` and `SetRect`
| `thisown`: The membership flag

Method Details

### __init__(self, pos=DefaultPosition, winid=0)
(Constructor)

Constructor.

  Parameters:
    `pos`
    (type=Point)

    `winid`
    (type=int)

  Returns:
    MoveEvent
  Overrides:
    `wx.Event.__init__`

### GetPosition(self)

Returns the position of the window generating the move change event.

  Returns:
    Point

Property Details

### m_pos

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### m_rect

  Get Method:
    `GetRect`(self)
  Set Method:
    `SetRect`(self, rect)

### Position

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### Rect

See `GetRect` and `SetRect`

  Get Method:
    `GetRect`(self)
  Set Method:
    `SetRect`(self, rect)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:53 2007 | http://epydoc.sf.net